Get All Versions
Fetch all versions of an action
Retrieves all created versions for an action
Request
URI
GET
https://{vcfa-fqdn}/abx/api/resources/actions/{id}/versions
COPY
Path Parameters
string
id
Required
ID of the action
Query Parameters
string
projectId
Required
Project ID of action (required for non-system actions)
integer
page
Optional
Constraints:
minimum: 0
default: 0
Zero-based page index (0..N)
integer
size
Optional
Constraints:
minimum: 1
default: 20
The size of the page to be returned
string of
array
sort
Optional
Constraints:
default: createdMillis,DESC
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Responses
200
Paged result of all action versions
Returns
PageActionVersion
of type(s)
*/*
{
"totalElements": 0,
"totalPages": 0,
"size": 0,
"content": [
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"description": "string",
"actionId": "string",
"projectId": "string",
"createdBy": "string",
"released": false,
"action": {
"name": "string",
"metadata": {
"metadata": {}
},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {
"inputs": {}
},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {
"configuration": {}
},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"orgId": "string",
"projectId": "string",
"selfLink": "string"
},
"contentId": "string",
"gitCommitId": "string"
}
],
"number": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"numberOfElements": 0,
"pageable": {
"offset": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"unpaged": false
},
"first": false,
"last": false,
"empty": false
}
401
Unauthorized to make the request
Returns
PageActionVersion
of type(s)
*/*
{
"totalElements": 0,
"totalPages": 0,
"size": 0,
"content": [
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"description": "string",
"actionId": "string",
"projectId": "string",
"createdBy": "string",
"released": false,
"action": {
"name": "string",
"metadata": {
"metadata": {}
},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {
"inputs": {}
},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {
"configuration": {}
},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"orgId": "string",
"projectId": "string",
"selfLink": "string"
},
"contentId": "string",
"gitCommitId": "string"
}
],
"number": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"numberOfElements": 0,
"pageable": {
"offset": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"unpaged": false
},
"first": false,
"last": false,
"empty": false
}
403
Forbidden
Returns
PageActionVersion
of type(s)
*/*
"PageActionVersion Object"
integer As int64
As int64
totalElements
Optional
totalElements
integer As int32
As int32
totalPages
Optional
totalPages
integer As int32
As int32
size
Optional
size
array of
object
content
Optional
Details of the action version
integer As int32
As int32
number
Optional
number
array of
object
sort
Optional
sort
integer As int32
As int32
numberOfElements
Optional
numberOfElements
object
pageable
Optional
pageable
boolean
first
Optional
first
boolean
last
Optional
last
boolean
empty
Optional
empty
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions/{id}/versions?projectId=v
On This Page
Action Versions Operations
PUT
Restore Action Version
PUT
Release Action Version
DELETE
Unrelease Action Version
GET
Get All Versions
POST
Create Action Version
DELETE
Delete Action Version